> ## Documentation Index
> Fetch the complete documentation index at: https://docs.negentro.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Multi-Agent Collaboration with Speculative Branching

> Isolate agent reasoning trials into ephemeral branches and merge verified discoveries with 3-way conflict resolution.

`POST /api/v1/branches`

## Branch Creation & Diffing

```bash POST /api/v1/branches theme={null}
# 1. Create trial branch
curl -X POST https://api.piyapi.cloud/api/v1/branches \
  -H "Authorization: Bearer sk_live_prod_key_here" \
  -H "Content-Type: application/json" \
  -d '{ "name": "research_agent_hypothesis_4", "purpose": "Testing drug interaction" }'

# 2. Inspect diff before merging to production memory
curl -s https://api.piyapi.cloud/api/v1/branches/branch_123/diff \
  -H "Authorization: Bearer sk_live_prod_key_here"
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.